Bug 1356134 - 'kinit -E' does not work for IPA user
Summary: 'kinit -E' does not work for IPA user
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1211631
TreeView+ depends on / blocked
 
Reported: 2016-07-13 13:08 UTC by Petr Vobornik
Modified: 2016-11-04 05:58 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 05:58:07 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Petr Vobornik 2016-07-13 13:08:22 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/6036

Although enterprise principals for trusted domains now are working as expected they do not work for the local domain:                                                                                                             

{{{
# kinit -E admin@IPA.DEVEL
kinit: Client 'admin\@IPA.DEVEL@IPA.DEVEL' not found in Kerberos database while getting initial credentials
}}}

Comment 1 Petr Vobornik 2016-07-13 13:08:53 UTC
fixed upstream:

6d6da6b281173737bd31ba4845af11a097846c05 kdb: check for local realm in enterprise principals

Comment 3 Martin Babinsky 2016-07-25 10:24:57 UTC
Test case added to upstream tests:

master:

https://fedorahosted.org/freeipa/changeset/648b5afa2f2d01d99c1cf2d1f4a87a5da4461246

Comment 4 Xiyang Dong 2016-09-18 12:36:18 UTC
Verified on ipa-server-4.4.0-9.el7:
[root@auto-hv-01-guest02 ~]# kinit -E admin@TESTRELM.TEST
Password for admin\@TESTRELM.TEST@TESTRELM.TEST: 
[root@auto-hv-01-guest02 ~]# klist
Ticket cache: KEYRING:persistent:0:krb_ccache_ew3SnSl
Default principal: admin@TESTRELM.TEST

Valid starting       Expires              Service principal
09/18/2016 08:30:38  09/19/2016 08:30:34  krbtgt/TESTRELM.TEST@TESTRELM.TEST

[root@auto-hv-01-guest02 ~]# kinit admin\\@TESTRELM.TEST
Password for admin\@TESTRELM.TEST@TESTRELM.TEST: 
[root@auto-hv-01-guest02 ~]# klist
Ticket cache: KEYRING:persistent:0:krb_ccache_QjdLeCt
Default principal: admin@TESTRELM.TEST

Valid starting       Expires              Service principal
09/18/2016 08:32:02  09/19/2016 08:31:59  krbtgt/TESTRELM.TEST@TESTRELM.TEST

Comment 6 errata-xmlrpc 2016-11-04 05:58:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.